# Awesome adblock

A community maintained and organized list of resources to block, limit, evade and otherwise futz with ads, ad tech and web tracking.

Advertising on the web has grown to a point where it's pervasive, manipulative and outright pernicious. Let's contribute resources to make mitigating the presence of ads and all of their negative externalities easier.

## Table of contents
1. [Browser-based blocking](#browser-based-blocking)
2. [Network / DNS blocking](#network--dns-blocking)
3. [Userscripts](#userscripts)
4. [Cookie consent](#cookie-consent)
5. [YouTube / video](#youtube--video)
6. [Masked email](#masked-email)
7. [VPNs](#vpns)

### Browser-based blocking

#### Safari    
- [Wipr 2](https://apps.apple.com/app/id1662217862)
- [Magic Lasso](https://www.magiclasso.co)
- [1Blocker](https://1blocker.com)
- [Banish](https://apps.apple.com/us/app/banish-block-open-in-app/id1632848430): targeted specifically at blocking 'Open in App' prompts.
- [Stop the Madness](https://underpassapp.com/StopTheMadness/): mitigates a number of modern anti-patterns such as hyperlink auditing, clickjacking, tracking beacons, URL shorteners and so forth.
- [Unsmartifier](https://apps.apple.com/us/app/unsmartifier/id1587069869): removes smart app banners.
- [Hush](https://oblador.github.io/hush/)

#### Firefox    
- [uBlock Origin](https://ublockorigin.com)
- [Privacy Badger](https://privacybadger.org)
- [Stop the Madness](https://underpassapp.com/StopTheMadness/)
- [Disable Page Visibility API](https://addons.mozilla.org/en-US/firefox/addon/disable-page-visibility/)
- [ClearURLs](https://addons.mozilla.org/en-US/firefox/addon/clearurls/)
- [DecentralEyes](https://addons.mozilla.org/en-US/firefox/addon/decentraleyes/)
- [NoScript](https://addons.mozilla.org/en-US/firefox/addon/noscript/)

#### Chrome    
- [uBlock Origin](https://ublockorigin.com)[^1]
- [Privacy Badger](https://privacybadger.org)
- [Stop the Madness](https://underpassapp.com/StopTheMadness/)
- [Disable Page Visibility API](https://chrome.google.com/webstore/detail/disable-page-visibility-a/eecfoibnnhheckhfokpihgefmlnenofb)
- [ClearURLs](https://chrome.google.com/webstore/detail/clearurls/lckanjgmijmafbedllaakclkaicjfmnk)
- [DecentralEyes](https://chrome.google.com/webstore/detail/decentraleyes/ldpochfccmkkmhdbclfhpagapcfdljkj)
- [NoScript](https://chrome.google.com/webstore/detail/noscript/doojmbjmlfjjnbmnoijecmcbfeoakpjm)

### Network / DNS / hosts blocking
- [NextDNS](https://nextdns.io)
- [Pi-hole](https://pi-hole.net)
- [Control D](https://controld.com/)
- [Quad9](https://quad9.net)
- [Steven Black: hosts](https://github.com/StevenBlack/hosts)
- [1Blocker](https://1blocker.com): in addition to blocking ads, the app provides an on-device firewall to mitigate in-app tracking and logging.

### Userscripts    
- [Anti-adblock-killer](https://github.com/reek/anti-adblock-killer)

### Cookie consent    

#### Safari    
- [Super Agent](https://www.super-agent.com)
- [Consent-O-Matic](https://apps.apple.com/gb/app/consent-o-matic/id1606897889)

#### Firefox    
- [Super Agent](https://www.super-agent.com)
- [I still don't care about cookies](https://addons.mozilla.org/en-US/firefox/addon/istilldontcareaboutcookies/)
- [Consent-O-Matic](https://addons.mozilla.org/en-US/firefox/addon/consent-o-matic/)

#### Chrome    
- [Super Agent](https://www.super-agent.com)
- [I still don't care about cookies](https://chrome.google.com/webstore/detail/i-still-dont-care-about-c/edibdbjcniadpccecjdfdjjppcpchdlm)
- [Consent-O-Matic](https://chrome.google.com/webstore/detail/consent-o-matic/mdjildafknihdffpkfmmpnpoiajfjnjd)

### YouTube / video

#### Firefox    
- [SponsorBlock](https://addons.mozilla.org/en-US/firefox/addon/sponsorblock/)

#### Chrome    
- [SponsorBlock](https://chrome.google.com/webstore/detail/sponsorblock-for-youtube/mnjggcdmjocbbbhaepdhchncahnbgone/)

### Masked email
- [Fastmail](https://fastmail.com): [see their support document.](https://www.fastmail.help/hc/en-us/articles/4406536368911-Masked-Email)
- [SimpleLogin](https://simplelogin.io)

### VPNs
- [Mullvad](https://mullvad.net)
- [Proton VPN](https://protonvpn.com)
- [IVPN](https://www.ivpn.net)

[^1]: uBlock Origin works best on Firefox [for reasons detailed here.](https://github.com/gorhill/uBlock/wiki/uBlock-Origin-works-best-on-Firefox)
